%define name		vlc-qt
%define version		0.9.0
%define release		%mkrel 2
%define summary		Free library used to connect Qt and libvlc libraries.

Name:	%{name}
Version:	 %{version}
Release:	 %{release}
Summary: %{summary}
URL:		http://projects.tano.si/
Group:	Video
License:	GPL v3
Source:	%{name}-%{version}.tar.xz
Patch0:	vlc-qt-0.8.1-pkgconfig.patch
Patch1:	vlc-qt-0.9.0-linkage.patch
BuildRequires: 	%{_lib}qt4-devel
BuildRequires: 	vlc-devel
Requires: 		vlc
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
VLC-Qt is a free library used to connect Qt and libvlc libraries.
It contains core classes for main media playback and also some
GUI classes for faster media player developement.

VLC-Qt is free (libre) software. This means that the library
source code is available to public, anyone is welcome to research
how the library works, participate in its development, freely
distribute the library and spread the word!

VLC-Qt runs on Linux and Windows, other operating systems are
currently not supported.

#-------------------------------------------------------------------------

%package devel
Summary:	Devel libraries for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Files needed to build applications based on %{name}

%files devel
%defattr(-,root,root,-)
%{_libdir}/libvlc-qt.so
%{_libdir}/libvlc-qt-widgets.so
%{_libdir}/pkgconfig/*.pc
%_includedir/vlc-qt/

#-------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
mkdir build && cd build
cmake .. \
	%ifnarch %ix86
	-DLIB_SUFFIX=64 \
	%endif
	-DCMAKE_INSTALL_PREFIX="%{_prefix}" \

make

%install
%__rm -rf %buildroot
%makeinstall_std -C build

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_libdir}/libvlc-qt.so.0.9
%{_libdir}/libvlc-qt.so.0.9.0
%{_libdir}/libvlc-qt-widgets.so.0.9
%{_libdir}/libvlc-qt-widgets.so.0.9.0

%changelog
* Wed Mar 10 2015 bb <bb> 0.9.0-2pclos2015
- rebuild with lua5.2

* Sun Mar 01 2015 bb <bb> 0.9.0-1pclos2015
- updare

* Tue Oct 22 2013 billybot <billybot> 0.8.1-2pclos2013
- rebuild for new vlc

* Sat May 04 2013 billybot <billybot> 0.8.1-1pclos2013
- 0.8.1

